{% extends "base.html" %}
{% load i18n %}
{% load aur_tags %}
{% load tagging_tags %}
{% block extra_title %} - {{ pkg.name }} {{ pkg.version }}-{{ pkg.release}}{% endblock %}
{% block content %}
<div class="box">
    <h2 class="title">{{ pkg.name }} {{ pkg.version }}-{{ pkg.release }}</h2>
    <div style="float:right" class="listing">
        <ul class="small">
            <li>
                {% if user|has_update_notification:pkg %}
                <a href="{% url aur-denotify_of_updates object_id=pkg.name %}">{% trans "Stop notifying me of updates" %}</a>
                {% else %}
                <a href="{% url aur-notify_of_updates object_id=pkg.name %}">{% trans "Notify me of updates" %}</a></li>
                {% endif %}
            <li>
            {% if pkg.outdated %}
                <a href="{% url aur-unflag_out_of_date object_id=pkg.name %}">{% trans "Unflag Package Out-of-Date" %}</a>
            {% else %}
            <a href="{% url aur-flag_out_of_date object_id=pkg.name %}">{% trans "Flag Package Out-of-Date" %}</a> <a target="_blank" href="http://www.archlinux.org/packages/flaghelp/">(?)</a>
            {% endif %}
            </li>
        </ul>
    </div>
    <table class="listing">
        <tr>
            <th>{% trans "Repository" %}:</th>
            <td>{{ pkg.repository.name }}</td>
        </tr><tr>
        <th>{% trans "Tags" %}:</th>
            {% tags_for_object pkg as pkg_tags %}
            <td>{{ pkg_tags|join:", " }}</td>
        </tr><tr>
            <th>{% trans "Description" %}:</th>
            <td>{{ pkg.description }}</td>
        </tr><tr>
            <th>{% trans "Architecture" %}:</th>
            <td>{{ pkg.get_arch }}</td>
            </tr>{% if pkg.url %}<tr>
            <th>{% trans "URL" %}:</th>
            <td><a href="{{ pkg.url }}">{{ pkg.url }}</a></td>
            </tr>{% endif %}<tr>
            <th>{% trans "License" %}:</th>
            <td>{{ pkg.licenses.all|join:", " }}</td>
        </tr><tr>
            <th>{% trans "Maintainer" %}:</th>
            <td>{{ pkg.maintainers.all|join:", " }}</td>
        </tr><tr>
            <th>{% trans "Last Updated" %}:</th>
            <td>{{ pkg.updated|date:"Y-m-d H:i:s" }}</td>
        </tr><tr>
            <th>{% trans "Download" %}</th>
            <td><a href="{{ pkg.tarball.url }}">{{ pkg.get_tarball_basename }}</a></td>
        </tr>
    </table>
    <br />
    <table width="100%">
        <tr>
            <td valign="top">
                <div class="listing">
                    <h4>{% trans "Dependencies" %}:</h4>
                    <ul style="font-size:small;list-style:none">
                    {% ifnotequal pkg.depends.all.count 0 %}
                        {% for dep in pkg.depends.all %}
                        <li><a href="{{ dep.get_absolute_url }}">{{ dep.name }}</a></li>
                        {% endfor %}
                    {% else %}
                        <li>{% trans "None" %}</li>
                    {% endifnotequal %}</ul>
                </div>
            </td><td valign="top">
                <div class="listing">
                    <h4>{% trans "Required By" %}:</h4>
                    <ul style="font-size:small;list-style:none">
                    {% ifnotequal pkg.reverse_depends.all.count 0 %}
                        {% for dep in pkg.reverse_depends.all %}
                        <li><a href="{{ dep.get_absolute_url }}">{{ dep.name }}</a></li>
                        {% endfor %}
                    {% else %}
                        <li>{% trans "None" %}</li>
                    {% endifnotequal %}</ul>
                </div>
            </td><td valign="top">
                <div class="listing">
                    <h4>{% trans "Sources" %}:</h4>
                    <ul style="font-size:small;list-style:none">
                    {% ifnotequal pkg.packagefile_set.all.count 0 %}
                        {% for source in pkg.packagefile_set.all %}
                        <li><a href="{{ source.get_absolute_url }}">{{ source.get_filename }}</a></li>
                        {% endfor %}
                    {% else %}
                        <li>{% trans "None" %}</li>
                    {% endifnotequal %}</ul>
                </div>
            </td>
        </tr>
    </table>
</div>
{% ifnotequal pkg.comment_set.count 0 %}
<br />
<h2 class="title">{% trans "Comments" %}</h2>
<div class="greybox">
    {% for comment in pkg.comment_set.all %}
    <span style="float:right; font-size:x-small">{{ comment.added|date }}
        {{ comment.added|time }}</span>
    <h4 class="news"><a href="#">{{ comment.user }}</a></h4>
    <p class="news">{{ comment.message }}</p>
    <br />
    <div style="text-align:right">
    <form action="{% url aur.views.comment object_id=pkg.name %}" method="post">
            <input type="hidden" name="reply_to" value="{{ comment.id }}" />
            <input type="submit" value="{% trans "Reply" %}" />
        </form>
    </div>
    {% if not forloop.last %}<br />{% endif %}
    {% endfor %}
</div>
{% endifnotequal %}
<br />
<h2 class="title">{% trans "Post comment" %}</h2>
<div class="greybox" style="text-align:right">
    <form action="{% url aur.views.comment object_id=pkg.name %}" method="post">
        <textarea name="message" style="width:100%;" rows="10"></textarea><br />
        <input type="submit" value="{% trans "Reply" %}" />
    </form>
</div>
{% endblock %}

